﻿using LinkedIn_Login_MVC.Models;
using System;
using System.Collections.Generic;
using System.Data;
using ASPSnippets.LinkedInAPI;

using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace LinkedIn_Login_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            LinkedInConnect.APIKey = "<LinkedIn API Key>";
            LinkedInConnect.APISecret = "<LinkedIn API Secret>";
            LinkedInConnect.RedirectUrl = string.Format("{0}://{1}/{2}", Request.Url.Scheme, Request.Url.Authority, "Home/Index/");
            LinkedInModel model = new LinkedInModel();
            if (LinkedInConnect.IsAuthorized)
            {
                DataSet ds = LinkedInConnect.Fetch();
                model.Name = ds.Tables["person"].Rows[0]["first-name"].ToString();
                model.Name += " " + ds.Tables["person"].Rows[0]["last-name"].ToString();
                model.EmailAddress = ds.Tables["person"].Rows[0]["email-address"].ToString();
                model.Headline = ds.Tables["person"].Rows[0]["headline"].ToString();
                model.Industry = ds.Tables["person"].Rows[0]["industry"].ToString();
                model.LinkedInId = ds.Tables["person"].Rows[0]["id"].ToString();
                model.Location = ds.Tables["location"].Rows[0]["name"].ToString();
                model.ImageUrl = ds.Tables["person"].Rows[0]["picture-url"].ToString();
            }

            return View(model);
        }

        [HttpPost]
        public EmptyResult Login()
        {
            if (!LinkedInConnect.IsAuthorized)
            {
                LinkedInConnect.Authorize();
            }

            return new EmptyResult();
        }
    }
}